# Module core::arch::powerpc
[−][src]

🔬 This is a nightly-only experimental API. (`stdsimd` #27731)
This is supported on PowerPC only.
Expand description

Platform-specific intrinsics for the `PowerPC` platform.

See the module documentation for more details.

## Structs

vector_bool_long Experimental

PowerPC-specific 128-bit wide vector mask of two elements

vector_double Experimental

PowerPC-specific 128-bit wide vector of two packed `f64`

vector_signed_long Experimental

PowerPC-specific 128-bit wide vector of two packed `i64`

vector_unsigned_long Experimental

PowerPC-specific 128-bit wide vector of two packed `u64`

## Functions

trap⚠Experimental

Generates the trap instruction `TRAP`

vec_xxpermdi⚠Experimental `vsx`

Vector permute.